Ubuntu

linux: 2.6.35-30.56 -proposed tracker

Reported by Herton R. Krzesinski on 2011-07-11
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-30.56 upload package. This bug will contain status and testing results releated to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

kernel-stable-Prepare-package-start: Tuesday, 11. July 2011 18:13 UTC
kernel-stable-Promote-to-updates-end: Tuesday, 08. August 2011 13:30 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: New → In Progress
Steve Conklin (sconklin) on 2011-07-12
Changed in linux (Ubuntu):
status: In Progress → Invalid
Martin Pitt (pitti) wrote :

Copied to -proposed

Started certification testing

tags: added: maverick
Kees Cook (kees) wrote :

Looks good, thanks!

Hardware certification have finished testing on 113/115 systems with two failing to report due to lab issues. Results are here: http://people.canonical.com/~hwcert/sru-testing/wk29_2011/maverick-proposed.html

No regressions are suspected based on these results.

tags: added: certification-testing-passed
C de-Avillez (hggdh2) wrote :

No regressions observed.

tags: added: qa-testing-passed
Herton R. Krzesinski (herton) wrote :

Note that this release had one unverified bug and another bug which failed verification in the SRU report page:

bug 805209: it's a revert of upstream commit which brought a regression, and we don't do verification of reverted patches that were identified as regressions. In this specific case though, the reporter also confirmed the -proposed Maverick kernel solved the issue, so we have extra confirmation that it's ok. I propose we always mark these "regression revert" bugs as verification-done-*.

bug 790754: this one failed verification before, thus SRU patch was reverted on this 2.6.35-30.56 release, so everything is ok also. Just the bug is keep listed and marked failed in the SRU report page, as bugs listed there are against previous release in -updates. Tracking the reverts isn't done on SRU report page, so verification failed bugs are kept listed and marked as failed, we will try to see what can be done to enhance this to avoid confusion.

So this Maverick kernel is good to go.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.56

---------------
linux (2.6.35-30.56) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #808934

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: mmc: Enable MMC card reader for RICOH [1180:e823]"

  [ Upstream Kernel Changes ]

  * Revert "x86: Flush TLB if PGD entry is changed in i386 PAE mode"
    - LP: #805209

linux (2.6.35-30.55) maverick-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #801690

  [ Jeremy Kerr ]

  * SAUCE: cx23885: Fix argument to videobuf_dma_unmap
    - LP: #800527

  [ Manoj Iyer ]

  * SAUCE: mmc: Enable MMC card reader for RICOH [1180:e823]
    - LP: #790754

  [ Upstream Kernel Changes ]

  * agp: fix OOM and buffer overflow
    - LP: #791918
    - CVE-2011-1746
  * tty: icount changeover for other main devices, CVE-2010-4076,
    CVE-2010-4077
    - LP: #720189
    - CVE-2010-4077
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * Fix corrupted OSF partition table parsing
    - LP: #796606
    - CVE-2011-1163
  * can: Add missing socket check in can/bcm release.
    - LP: #796502
    - CVE-2011-1598
  * nfs4: Ensure that ACL pages sent over NFS were not allocated from the
    slab (v3) CVE-2011-1090
    - LP: #800775
    - CVE-2011-1090
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 11 Jul 2011 15:17:32 -0300

Changed in linux (Ubuntu Maverick):
status: New → Fix Released
Steve Conklin (sconklin) on 2011-08-03
description: updated
Herton R. Krzesinski (herton) wrote :

Packages for 2.6.35-30.56 were released into -updates/-security, but the tasks Promote-to-security and Promote-to-updates here were not set to 'Fix Released' by Ubuntu SRU team, doing it now.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2011-12-05
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers